(* tree:
---
point1: (* bold if bool *)
   subpoint1
   subpoint2
   ...
point2: (* won't be shown at all, if the list of subpoint is empty *)
   subpoint1
   ...
----
*)
val show_error :
  ?width:int ->
  ?height:int ->
  tree:(string * bool * string list) list ->
  window_title:string ->
  title:string ->
  info:string ->
  unit ->
  unit

val ask :
  ?width:int ->
  ?height:int ->
  tree:(string * bool * string list) list ->
  window_title:string ->
  title:string ->
  info:string ->
  unit ->
  bool
