val always_true  : int -> bool
val always_false : int -> bool

type view = (<
             as_widget : Gtk.widget Gtk.obj ;
             coerce : GObj.widget  ;
             drag : GObj.drag_ops  ;
             misc : GObj.misc_ops  ;
             set_filter_func: (int -> bool) -> unit;
             activate: unit -> unit ;
             deactivate: unit -> unit
                         >)

val s_view : view
val b_view : view


(* inform s_view and b_view about changes in global data *)
val inform : int -> unit
