#! /bin/sh

dir="$(dirname "$0")"
dir="$(cd "$dir" ; pwd)"

cd "$dir"

godi_root_dir="$(dirname "$(godi_confdir)")"
godi_sbin_dir="${godi_root_dir}/sbin"

if [ -f godigui_opt ]; then
    exe_file=godigui_opt
elif [ -f godigui ]; then
    exe_file=godigui
else
    echo "please run make first" >&2
    exit 1
fi

install -m 755 "$exe_file" "${godi_sbin_dir}/godi_gui"
install -d "${godi_root_dir}/share/godigui/pixmaps"
install -m 644 pixmaps/*.[Pp][Nn][Gg] "${godi_root_dir}/share/godigui/pixmaps"
