#ifdef _WIN32
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#endif

#include <caml/alloc.h>
#include <caml/memory.h>

CAMLprim value settingchanged(value unit);

CAMLprim value settingchanged(value unit)
{
#ifdef _WIN32
    DWORD dwReturnValue;
    SendMessageTimeout(HWND_BROADCAST, WM_SETTINGCHANGE, 0,
                       (LPARAM) "Environment", SMTO_ABORTIFHUNG,
                       5000, &dwReturnValue);
#endif
    return Val_unit;
}
