type t
type mode = Sync | Async | Same_thread

val prepare :
  ?mode:mode -> (* only for f_output; f_finish_ok and f_finish_err are always async/gtkthread *)
  ?env:string array ->
  ?f_output:(string -> unit) ->
  ?f_finish_ok:(unit -> unit) ->
  ?f_finish_err:(unit -> unit) ->
  command:string -> args:string array -> unit -> t
val run : t -> unit
val stop : t -> unit
