let timer = ref None
let pb =
  let p =
    GRange.progress_bar ~pulse_step:0.02 () in
  p#misc#set_size_request ~width:110 ();
  p#misc#hide ();
  p

let activate () =
  pb#misc#show ();
  match !timer with
  | Some _ -> ()
  | None ->
    timer := Some( GMain.Timeout.add ~ms:33 ~callback:(fun () -> pb#pulse(); true) )

let deactivate () =
  pb#misc#hide ();
  match !timer with
  | None -> ()
  | Some x ->
    timer := None;
    GMain.Timeout.remove x
